:root {
  --transition-time: 300ms;
  --opay-primary-color: #f07e00;
  --opay-primary-smooth-color: hsla(32, 100%, 47%, 0.02);
  --background-color: #171717;
  --background-opacity-color: #121212cc;
  --background-darker-opacity-color: #121212f5;
  --medium-gray: #8c94a4;
  --dark-gray: #2f2f2f;
  --padding-inline: 12vw;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  z-index: 1;
  font-family: "Red Hat Display", sans-serif;
  font-optical-sizing: auto;
}

.poppins {
  font-family: "Poppins", sans-serif;
}

.bold {
  font-weight: 700;
}

.lighter {
  font-weight: lighter;
}

body {
  line-height: 1.6;
  background-color: var(--background-color);
  height: 100vh;
  overflow: auto;
}

a {
  text-decoration: none;
  color: inherit;
}

ul {
  list-style: none;
}

.header {
  background-color: var(--background-opacity-color);
  padding: 1rem 2rem;
  color: #fff;
  z-index: 10;
  height: 4.75rem;
  position: fixed;
  width: 100%;
  padding-inline: var(--padding-inline);
}

.navbar {
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-wrap: wrap;
}

.nav-logo {
  display: flex;
  align-items: center;
  gap: 2rem;
}

.logo {
  margin-top: 0.5rem;
}

.logo img {
  width: 6rem;
  height: auto;
}

.menu {
  display: flex;
  gap: 1.5rem;
  list-style: none;
}

.menu a {
  color: #fff;
  text-decoration: none;
  font-size: 1rem;
  transition: color 0.3s;
}

.menu a:hover {
  color: var(--opay-primary-color);
}

.cta-buttons {
  display: flex;
  gap: 1rem;
}

.cta-buttons .ternary-buttons {
  display: none;
}

.hamburger {
  display: none;
  background: none;
  border: none;
  cursor: pointer;
}

.hamburger.open span:nth-child(1) {
  transform: translateY(8px) rotate(45deg);
}

.hamburger.open span:nth-child(2) {
  opacity: 0;
}

.hamburger.open span:nth-child(3) {
  transform: translateY(-8px) rotate(-45deg);
}

.btn {
  padding: 0.5rem 1rem;
  font-size: 0.8rem;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  box-shadow: 0px 4px 24px #00000014, 0px 0px 4px #00000014,
    0px 0px 16px #00000014;
  transition: filter var(--transition-time);
}

.btn-primary {
  background-color: var(--opay-primary-color);
  color: #fff;
}

.btn-primary:hover {
  filter: brightness(0.9);
}

.btn-secondary {
  background-color: white;
  color: black;
}

.btn-ternary {
  transition: var(--transition-time);
}

.btn-ternary:hover {
  background-color: var(--background-opacity-color) !important;
}

.btn-secondary:hover {
  filter: brightness(0.9);
}

.store-links {
  display: flex;
  flex: 1;
  gap: 2rem;
  position: absolute;
  bottom: 18%;
  left: 18%;
  z-index: 10;
  transition: filter var(--transition-time);
}

.store-links img {
  width: 100%;
}

.store-links a:hover {
  filter: brightness(0.9);
}

main {
  padding-inline: var(--padding-inline);
  width: 100%;
  position: relative;
  background-image: url("assets/img/fundo_img.png");
  background-size: cover;
  background-repeat: no-repeat;
  min-height: 100%;
}

section {
  flex: 1;
  width: 100%;
  height: 100%;
}

.hero {
  height: 70vh;
  color: #fff;
  text-align: end;
  flex: 1;
  display: flex;
  flex-wrap: wrap;
  justify-content: flex-end;
  align-items: flex-end;
  margin-bottom: 3rem;
}

.hero span {
  display: block;
  font-size: 2.5rem;
  font-weight: lighter;
  margin-bottom: 1rem;
  line-height: 3rem;
}

.hero .hero-social-media {
  display: none;
  text-decoration: none;
  width: fit-content;
  justify-self: center;
}

.hero .hero-social-media:hover {
  text-decoration: underline;
}

.hero span strong {
  font-weight: 700;
}

.hero .request-purpose {
  font-size: small;
  text-decoration: underline;
  font-weight: lighter;
  font-size: 14px;
}

.open-account-container {
  flex: 1;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  align-items: flex-end;
}

.open-account-container .btn-primary:hover img {
  animation: move-arrow 0.6s infinite;
}

.hero .btn-primary {
  margin-top: 1rem;
  font-size: 1.1rem;
  line-height: 1.5rem;
  width: max-content;
}

.hero-content .logo {
  width: 12rem;
  height: auto;
  margin-bottom: 1rem;
}

.hero-content a {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 1rem;
}

.hero-content a img {
  margin-left: 0.5rem;
}

.features {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
  overflow-x: auto;
  gap: 0.5rem;
  height: auto;
  text-align: center;
}

.feature-item {
  padding: 2rem;
  border: 2px solid #ddd;
  background: #12121280;
  backdrop-filter: blur(21px);
  border-radius: 5px;
  height: 214px;
  transition: border var(--transition-time);
  line-height: 1.5rem;
  flex: 1;
  height: 100%;
}

.feature-item:hover {
  border: 2px solid var(--opay-primary-color);
  z-index: 10;
}

.feature-item h2 {
  font-size: 1.2rem;
  color: #fff;
}

.feature-item p {
  color: #96949f;
  margin-top: 1rem;
  font-size: 0.8rem;
  line-height: 1rem;
}

.about {
  width: 100%;
  padding: 1rem;
  color: #fff;
  position: relative;
  background-image: url("assets/img/footer-smart.png");
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  padding-inline: var(--padding-inline);
  align-items: center;
  display: flex;
  flex: 1;
}

.about .text {
  max-width: 32vw;
  margin-top: -12%;
}

.about .text h1 {
  font-weight: lighter;
}

.about .text strong {
  font-weight: 800;
}

.about .text p {
  margin-block: 2rem;
  font-weight: lighter;
}

.about .orange-emphasis {
  color: var(--opay-primary-color);
  font-weight: bold;
}

.about .btn-primary {
  font-size: 1rem;
}

.about .text,
.img {
  flex: 1;
  display: flex;
  flex-direction: column;
}

.about .text .btn {
  width: max-content;
  display: flex;
  align-items: center;
  gap: 0.5rem;
  margin-bottom: 100px;
}

.about .text .btn:hover img {
  animation: vibrate 0.2s ease-in-out 0s infinite normal forwards;
  background-color: #25d366;
  border-radius: 50%;
}

.container-pos {
  display: flex;
  flex-direction: column;
  align-items: center;
  flex-wrap: wrap;
  margin-top: -14rem;
  padding-top: 14rem;
  padding-inline: var(--padding-inline);
  min-height: 110vh;
  background-color: #fff;
  box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.1);
}

.content-pos {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 2rem;
}

.container-pos .image-section {
  flex: 1.5;
  position: relative;
  display: flex;
  flex-direction: column;
  min-width: fit-content;
  max-width: 50vw;
}

.container-pos .image-section .image {
  width: 100%;
  height: auto;
  max-height: 630px;
}

.icon-img {
  width: 1.5rem;
}

.container-pos .button {
  margin-block: 2rem;
  display: flex;
  flex: 1;
  justify-content: center;
  align-items: center;
}

.container-pos .button a {
  display: flex;
  flex: 1;
  justify-content: center;
  align-items: center;
  gap: 1rem;
}

.container-pos .button a:hover img {
  animation: vibrate 0.2s ease-in-out 0s infinite normal forwards;
  background-color: #25d366;
  border-radius: 50%;
}

.container-pos .text-section {
  flex: 1;
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.container-pos .text-section h1 {
  font-size: 1.5rem;
}

.container-pos .features {
  display: flex;
  flex-direction: column;
  gap: 1rem;
  padding: 0;
  flex: 1;
}

.container-pos .feature {
  display: flex;
  align-items: center;
  border: 0.1rem solid var(--opay-primary-color);
  gap: 2rem;
  padding: 1.4rem 2.5rem;
  border-radius: 0.7rem;
  transition: background-color 0.3s ease;
}

.container-pos .feature-icon {
  font-size: 1.2rem;
}

.container-pos .payment-icons {
  display: flex;
  flex-wrap: wrap;
  gap: 0.5rem;
}

.container-pos .payment-icons img {
  width: 100%;
  max-width: 4rem;

  height: auto;
}

.container-pos .contact-btn {
  margin-top: var(--spacing);
  padding: 0.8rem;
  background-color: var(--primary-color);
  color: #fff;
  border: none;
  border-radius: 0.5rem;
  cursor: pointer;
  font-size: 1rem;
  text-align: center;
}

.footer {
  padding-inline: var(--padding-inline);
  padding-block: 7.5rem;
  background-color: var(--background-color);
  color: #fff;
}

.footer .footer-separators {
  display: flex;
  flex-wrap: wrap;
}

.footer .footer-img-group {
  display: flex;
  flex-direction: row;
  flex: 1;
  justify-content: flex-end;
}

.footer .footer-icons {
  display: flex;
  flex-direction: row;
  flex: 1;
  gap: 1rem;
  justify-content: flex-end;
}

.footer .advertise-below {
  display: none;
  transition: ease-in-out var(--transition-time);
  border-radius: 1rem;
  padding: 2rem;
  font-size: 0.9rem;
  font-weight: lighter;
}

.footer .advertise-below:hover {
  background-color: var(--opay-primary-smooth-color);
}

.footer-container {
  display: flex;
  flex: 1;
  justify-content: space-between;
  margin: 0 auto;
}

.footer-presentation {
  flex: 2 !important;
  display: flex;
  flex-direction: column;
  gap: 2rem !important;
  font-size: 0.9rem;
}

.footer-presentation div {
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
}

.footer-presentation p {
  max-width: 64%;
}

.footer-presentation strong {
  font-weight: 700;
}

.footer-section {
  flex: 1;
  min-width: 15.625rem;
  padding: 0.6rem 2rem;
}

.footer-section:hover {
  background-color: var(--opay-primary-smooth-color);
  transition: ease-in-out var(--transition-time);
  border-radius: 1rem;
}

.footer-logo {
  width: 8rem;
  height: auto;
  margin-bottom: 1rem;
}

.footer-title {
  font-size: 1.125rem;
  margin-bottom: 1.5rem;
  padding-block: 0.5rem;
  color: var(--opay-primary-color);
  border-bottom: 2px solid #2f2f2f;
}

.footer-links {
  list-style: none;
  padding: 0;
  margin-bottom: 2rem;
}

.footer-links li {
  margin-bottom: 0.9rem;
  font-size: 0.9rem;
}

.footer-links a {
  color: #fff;
  text-decoration: none;
}

.footer-links a:hover {
  text-decoration: underline;
}

.footer-contact {
  font-size: 0.875rem;
  line-height: 1.6;
}

.footer-contact p {
  font-size: 0.75rem;
  color: var(--medium-gray);
}

.footer-contact a {
  font-size: 1.1rem;
}

.header.active {
  background-color: var(--background-darker-opacity-color);
}

.about-ternary {
  display: none;
  background-color: #fff;
  background-image: url("assets/img/footer-smart.png");
  background-size: 240% 64%;
  background-position: 76%;
  background-repeat: no-repeat;
  flex: 1;
  align-items: flex-end;
  margin-top: -10rem;
}

.about-ternary .store-links-ternary {
  padding: 6rem;
  height: 6re;
  width: 100%;
  display: flex;
  gap: 1rem;
  align-items: center;
  justify-content: center;
}

.store-links-ternary img {
  width: 10rem;
}

.feature span {
  font-weight: bold;
}

@media (max-width: 1024px) {
  .about-ternary {
    display: flex;
  }

  .hamburger {
    display: flex;
  }

  .menu {
    display: none;
    background-color: var(--background-darker-opacity-color);
    flex: 1;
    flex-direction: column;
    position: absolute;
    top: 4.75rem;
    right: 0;
    width: 64vw;
    height: 100vh;
    padding: 1rem;
    z-index: 1000;
    border-radius: 0 0 0.5rem 0;
    font-size: larger;
    align-items: center;
  }

  .menu.active {
    display: flex;
  }

  .cta-buttons .ternary-buttons {
    display: flex;
    gap: 1rem;
  }

  .cta-buttons .btn-secondary,
  .btn-primary {
    display: none;
  }

  .cta-buttons .btn-ternary {
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 3.5rem;
    width: 8rem;
    height: 2.5rem;
    color: #fff;
    font-size: 12;
    font-weight: bold;
    content: "Entrar";
    background-color: transparent;
    border: 0.1rem solid var(--opay-primary-color);
  }

  .hero span {
    font-size: 1.5rem;
    line-height: 2rem;
    text-shadow: 0.1rem 0.1rem 0.25rem #000000cc;
  }

  .hero .hero-social-media {
    display: block;
    text-shadow: 0.1rem 0.1rem 0.25rem #000000cc;
  }

  .hero .hero-content .logo {
    display: none;
  }

  .hero .hero-content {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    justify-content: center;
  }

  .open-account-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }

  .features {
    grid-template-columns: 1fr;
  }

  .about {
    margin-top: 4rem;
    background-image: none;
    height: auto;
    padding-inline: 3vw;
    display: flex;
  }

  .about .store-links {
    display: none;
  }

  .about .text h1 {
    align-self: flex-start;
  }

  .about .text {
    padding-inline: 1rem;
    justify-content: center;
    max-width: none;
    height: auto;
    border-radius: 0.5rem;
    display: flex;
    margin-top: 0;
    margin-bottom: 1rem;
  }

  .about .text .btn-primary {
    padding: 1rem;
  }

  main {
    height: auto;
    padding-inline: 3vw;
    line-height: 2rem;
    background-size: 200% contain;
    background-position: 15% 0%;
  }

  main .features {
    grid-template-columns: repeat(2, minmax(11rem, 1fr));
  }

  .hero {
    flex-direction: column;
    align-items: center;
  }

  .store-links {
    flex-direction: column;
    gap: 1rem;
  }

  .container-pos {
    padding-top: 0;
    margin-top: 0rem;
  }

  .container-pos .content-pos {
    display: flex;
    flex-direction: row;
    width: 100%;
    text-align: center;
  }

  .container-pos .button .btn-primary {
    padding: 1rem;
  }
  .footer {
    padding-inline: 3vw;
  }
  .footer .footer-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }

  .footer .footer-presentation div {
    justify-content: center;
    align-items: center;
    padding: 0;
  }
  .footer-presentation p {
    max-width: none;
  }
  .footer .footer-presentation .advertise {
    display: none;
  }
  .footer .advertise-below {
    display: block;
  }

  .container-pos .image-section .image {
    margin-top: -90px;
  }
}

@media (max-width: 768px) {
  .about-ternary {
    background-size: 300% 64%;
  }

  main {
    background-size: 240% 72%;
    background-position-x: 10%;
  }
}

@media (max-width: 426px) {
  .about .text {
    background-color: transparent !important;
    margin-top: 0px !important;
    font-size: 18px;
  }

  .container-pos {
    padding-inline: 13px !important;
  }
}

@media (max-width: 376px) {
  main .features {
    grid-template-columns: repeat(1, minmax(11rem, 1fr));
  }

  section {
    height: 38rem;
  }
}

@keyframes move-arrow {
  0% {
    transform: translateX(0);
  }

  50% {
    transform: translateX(10px);
  }

  100% {
    transform: translateX(0);
  }
}

@keyframes vibrate {
  0% {
    transform: translate(0);
  }

  20% {
    transform: translate(-1px, 1px);
  }

  40% {
    transform: translate(-1px, -1px);
  }

  60% {
    transform: translate(1px, 1px);
  }

  80% {
    transform: translate(1px, -1px);
  }

  100% {
    transform: translate(0);
  }
}